### Enumeration

# Shumate StyleError

#### Declaration

    error-domain Shumate.StyleError

#### Description [src]

Error codes that occurs while parsing the style in `ShumateVectorRenderer`.

#### Members

Name | Description
--- | ---
`SHUMATE_STYLE_ERROR_FAILED` | An unspecified error occurred during the operation.
`SHUMATE_STYLE_ERROR_MALFORMED_STYLE` | A JSON node in the style has the wrong type (e.g. an object where there should be an array).
`SHUMATE_STYLE_ERROR_UNSUPPORTED_LAYER` | An unsupported layer type was encountered.
`SHUMATE_STYLE_ERROR_INVALID_EXPRESSION` | An invalid or unrecognized expression was encountered.
`SHUMATE_STYLE_ERROR_SUPPORT_OMITTED` | Libshumate was compiled without vector tile support.
`SHUMATE_STYLE_ERROR_UNSUPPORTED` | An unsupported style spec feature was encountered.

#### Type functions

###### shumate_style_error_quark

No description available.